
From: "Martin J. Bligh" <mbligh@mbligh.org>

e1000_suspend is only used under #ifdef CONFIG_PM.  Move the declaration of
it to be the same way, just like e1000_resume, otherwise gcc whines on
compile.  I offer as evidence:

	static struct pci_driver e1000_driver = {
 	       .name     = e1000_driver_name,
 	      .id_table = e1000_pci_tbl,
  	      .probe    = e1000_probe,
  	      .remove   = __devexit_p(e1000_remove),
 	      /* Power Managment Hooks */
	#ifdef CONFIG_PM
 	       .suspend  = e1000_suspend,
 	       .resume   = e1000_resume
	#endif
	};

Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/e1000/e1000_main.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/e1000/e1000_main.c~remove-warning-about-e1000_suspend drivers/net/e1000/e1000_main.c
--- devel/drivers/net/e1000/e1000_main.c~remove-warning-about-e1000_suspend	2005-09-03 16:07:43.000000000 -0700
+++ devel-akpm/drivers/net/e1000/e1000_main.c	2005-09-03 16:07:43.000000000 -0700
@@ -3641,6 +3641,7 @@ e1000_set_spd_dplx(struct e1000_adapter 
 	return 0;
 }
 
+#ifdef CONFIG_PM
 static int
 e1000_suspend(struct pci_dev *pdev, pm_message_t state)
 {
@@ -3731,7 +3732,6 @@ e1000_suspend(struct pci_dev *pdev, pm_m
 	return 0;
 }
 
-#ifdef CONFIG_PM
 static int
 e1000_resume(struct pci_dev *pdev)
 {
_
